Release: npm@6.9.1

A new version has been released!

You can install it with npm i -g npm@latest or try it out with $ npx npm@latest ...!

latest: 6.9.1
next: 6.9.1

This release comes after a long delay. You can expect another release with more bug fixes and PRs sooner than our typical 2-week schedule. Thank you for your patience.

BUGFIXES

DEPENDENCIES

1 Like

The β€œlatest” tag is still showing as 6.9.0 on web site and I am still getting that installed using npm@latest, although 6.9.1 is available.

6.9.1 may have been downgraded? As I hit problems when I tried installing and changing versions.

$ npm i -g npm@latest
/usr/local/bin/npx -> /usr/local/lib/node_modules/npm/bin/npx-cli.js
/usr/local/bin/npm -> /usr/local/lib/node_modules/npm/bin/npm-cli.js
+ npm@6.9.0
updated 1 package in 4.305s
$ npm i -g npm@6.9.1
/usr/local/bin/npm -> /usr/local/lib/node_modules/npm/bin/npm-cli.js
/usr/local/bin/npx -> /usr/local/lib/node_modules/npm/bin/npx-cli.js
+ npm@6.9.1
$ npm i -g npm@latest
npm ERR! path /usr/local/lib/node_modules/npm
npm ERR! code EISGIT
npm ERR! git /usr/local/lib/node_modules/npm: Appears to be a git repo or submodule.
npm ERR! git     /usr/local/lib/node_modules/npm
npm ERR! git Refusing to remove it. Update manually,
npm ERR! git or move it out of the way first.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/john/.npm/_logs/2019-06-26T23_49_52_510Z-debug.log
1 Like

I have a similar issue. Running npm audit fix also leads to EISGIT error.

There is a new bug reported about the issue introduced in 6.9.1

Web site now shows npm 6.9.2 has been released, and is also tagged as latest.